<template>
  <el-tabs
    v-model="accountActiveTab"
    class="demo-tabs"
    @tab-click="handleClickTab"
  >
    <el-tab-pane :label="$t('deposit')" name="deposit" />
    <el-tab-pane :label="$t('withdrawal')" name="withdrawal" />
  </el-tabs>
</template>
<script lang="ts" setup>
import { TabsPaneContext } from "element-plus";
const route = useRoute();
const accountActiveTab = ref(
  String(route.name).includes("deposit") ? "deposit" : "withdrawal"
);
const router = useRouter();
const handleClickTab = (tab: TabsPaneContext) => {
  router.push("/" + String(tab.props.name));
};
</script>
